<?php

$message = '';
$success = true;


//установка блока комментариев для страниц
$install_data = Array(
	'name'			=> 'Комментарии на странице',
	'type'			=> 'block',
	'version'		=> '1.0',
	'dir'			=> 'unicomments_form',
	'description'	=> 'Блок для добавления и отображения комментариев на странице.'
);
if ($this->model->install_module($install_data)) {
	$message .= 'Установлен блок для комментирования страниц (block unicomments_form).<br>';
} else {
	$this->data['errors'][] = 'Ошибка установки unicomments_form';
	$success = false;
}


//установка блока недавних комментариев
$install_data = Array(
	'name'			=> 'Последние комментарии на сайте',
	'type'			=> 'block',
	'version'		=> '1.0',
	'dir'			=> 'unicomments_last',
	'description'	=> 'Блок для добавления и отображения недавних комментариев на сайте.'
);
if ($this->model->install_module($install_data)) {
	$message .= 'Установлен блок недавних комментариев на сайте (block unicomments_last).<br>';
} else {
	$this->data['errors'][] = 'Ошибка установки unicomments_last';
	$success = false;
}


//установка плагина формы
$install_data = Array(
	'name'			=> 'Форма для модулей unicomments',
	'type'			=> 'plugin',
	'version'		=> '1.0',
	'dir'			=> 'unicomments_form_plugin',
	'description'	=> 'Форма для добавления комментариев.'
);
if ($this->model->install_module($install_data)) {
	$message .= 'Установлен и активирован плагин формы для добавления комментариев (plugin unicomments_form_plugin).<br>';
} else {
	$this->data['errors'][] = 'Ошибка установки unicomments_form_plugin';
	$success = false;
}


//активация плагина формы
$modules = $this->model->get_activated_modules();
if ($modules) {
	$last_module = array_pop($modules);
	$sort = $last_module['sort']+1;
} else {
	$sort = 1;
}
$id = $this->model->dbh->row("SELECT id FROM installed_modules WHERE dir='unicomments_form_plugin'");

$params = Array(
	'admin_emails'=> 'admin@thisssite.com',
	'form_header' => 'Добавить комментарий',
	'form_success'=> 'Ваш комментарий добавлен.',
	'name_status' => 'required',
	'name_label'  => 'Ф.И.О.:',
	'email_status'=> 'required',
	'email_label' => 'e-mail:',
	'phone_status'=> 'required',
	'phone_label' => 'Телефон:',
	'text_label'  => 'Комментарий:',
	'captcha_type'=> 'text'
);

$activate_data = Array(
	'name'			=> 'Форма для модулей unicomments',
	'type'			=> 'plugin',
	'module_id'		=> $id['id'],
	'module_dir'	=> 'unicomments_form_plugin',
	'params'		=> serialize($params),
	'sections'		=> '',
	'position'		=> 'unicomments_form_plugin',
	'back_end'		=> 0,
	'sort'			=> $sort
);
if (!$this->model->activate_module($activate_data)) {
	$this->data['errors'][] = 'Ошибка активации unicomments_form_plugin.';
	$success = false;
}


//настройка базы данных
if ($this->dbh->exec(
	"CREATE TABLE IF NOT EXISTS unicomments (
		id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL ,
		url VARCHAR(256),
		name VARCHAR(64),
		email VARCHAR(128),
		phone VARCHAR(16),
		date_add INTEGER,
		date_answer INTEGER,
		text TEXT,
		answer TEXT
	)"
)) {
	//компонент копируется автоматически
	$message .= 'Установлен компонент для отображения и управления всеми комментариями сайта. (component unicomments)<br>';
	$message .= 'Создана таблица в б.д.: unicomments.';
} else {
	$this->data['errors'][] = 'Ошибка базы данных: невозможно создать таблицу unicomments.';
	$success = false;
}

$message .= '<br>
	Активируйте компонент unicomments на нужный URL.<br>
	Активируйте в нужные позиции блоки unicomments_form и unicomments_last.';
	
if ($success) $this->data['message'] = $message;

?>